[Unit]
Description=Forge SSH tunneled acquisition uplink
After=forge-acquisition-bus.socket
BindsTo=forge-acquisition-bus.socket
Conflicts=forge-acquisition-uplink-remote.service
Before=forge-acquisition-uplink-tunnel-start.target
Before=forge-acquisition-uplink-tunnel-stop.target

OnSuccess=forge-acquisition-uplink-tunnel-stop.target
OnFailure=forge-acquisition-uplink-tunnel-stop.target

[Install]
WantedBy=forge-acquisition-uplink-tunnel-start.target


[Service]
Type=notify
DynamicUser=true
SupplementaryGroups=forge
Nice=5
TimeoutStopSec=30
WatchdogSec=30
Restart=on-abnormal
RestartSec=60
ProtectSystem=strict
ProtectHome=true
WorkingDirectory=/
Environment=ROOT_PATH_FOR_DYNACONF=/etc/forge/acquisition
BindReadOnlyPaths=/etc/forge/tunnel-hosts:/etc/hosts
ExecStart=/opt/forge/venv/bin/forge-acquisition-uplink-remote --systemd --no-retry --instantaneous wss://gml.noaa.gov:8989/aero/dataview/processing/acquisition/{{ station }}